package com.mylove.okhttp;

import android.app.Application;
import android.content.Context;


/**
 * @author myLove
 * @time 2017/11/16 19:11
 * @e-mail mylove.520.y@gmail.com
 * @overview
 */

public class AppContext extends Application {

    public static Context mContext;
    private static DownloadManager downloadManager;

    @Override
    public void onCreate() {
        super.onCreate();
        mContext = this;
        downloadManager = DownloadManager.getInstance(mContext);
    }

    public static DownloadManager getDownloadManager() {
        return downloadManager;
    }
}
