# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile
#-keep class com.benyanyi.okhttp.*
#
#-keep class com.benyanyi.okhttp.listener.*
#
#-keepclassmembers class com.benyanyi.okhttp.listener.*{*;}
#
#-keepclassmembers class com.benyanyi.okhttp.OkHttpUtil.*{*;}
#-keepclassmembers class com.benyanyi.okhttp.type.RequestType.*{*;}
#
###"$"的含义是保留某类的内部类不会被混淆
##-keepclassmembers class com.benyanyi.okhttp.TableDao$Builder {
##     public <methods>;
##}
#
#-keepattributes Signature
#
#-keepclassmembers enum * {
#      public static **[] values();
#      public static ** valueOf(java.lang.String);
#}
##okhttp
#-dontwarn okhttp3.**
#-keep class okhttp3.**{*;}
#
##okio
#-dontwarn okio.**
#-keep class okio.**{*;}