package com.benyanyi.okhttp.listener;

/**
 * @author myLove
 */

public interface OnOkHttpListener<T> {
    /**
     * 网络请求后
     */
    void onCompleted();

    /**
     * 请求成功
     *
     * @param message
     */
    void onSuccess(T message);

    /**
     * 请求失败
     *
     * @param t
     */
    void onFailure(Throwable t);
}
