# BaseOkHttp

![](https://img.shields.io/badge/okhttplib-2.0.8-green)


OkHttp请求封装
----------
使用
---
### 根目录下build.gradle添加Maven地址
~~~
repositories {
        maven {
            url "http://maven.keleyanyi.com/repository/benyanyi/"
        }
    }
~~~
### module 下添加
~~~
implementation 'com.yanyi.benyanyi:okhttplib:2.0.8'
~~~

或者
~~~
<dependency>
  <groupId>com.yanyi.benyanyi</groupId>
  <artifactId>okhttplib</artifactId>
  <version>2.0.8</version>
  <type>aar</type>
</dependency>
~~~

### 更新记录
* 2021-08-27(2.0.8) 升级build包版本，修改maven地址
* 2021-03-13(2.0.7) 多文件上传
* 2020-10-24(2.0.6) 修复缓存文件android6.0时磁盘未挂载时报错问题
* 2020-09-25(2.0.5) 更改超时时间，添加下载文件覆盖
* 2020-05-16(2.0.4) 修复上传大文件时OOM问题
* 2020-05-16(2.0.3) 将android support转成androidx支持,并将Maven库存放到个人服务器上
* 2020-01-16(2.0.2) 修复解析崩溃问题，优化返回方法
* 2019-08-26(2.0.1) 优化下载
* 2019-08-20(2.0.0) 升级2.x版本,重构代码，优化方法，使调用更简洁明了
* 2019-07-19(1.1.4) 优化回调方法
* 2019-06-14(1.1.3) 优化代码，更改包名，用于统一化开源库
* 2019-03-06(1.1.2) 去除在线更新方法，将在线更新单独做开源库，去除多余下载方法，减少库大小
* 2018-11-20(1.1.1) 添加带弹窗下载方法(UpdateUtil类),支持下载弹窗提示，下载进度弹窗，下载进度通知栏，强行下载,多文件下载类(DownloadManager)(支持取消下载)
* 2018-10-10(1.1.0) 添加写入超时限定
* 2018-09-28(1.0.9) 添加自定义Request方法
* 2018-09-14(1.0.8) 优化下载文件方法
* 2018-09-12(1.0.7) 修复下载文件回调没返回问题,下载路径都是根目录下

---
若在使用过程中出现什么问题，可以联系作者<br/>
作者：演绎<br/>
QQ：1541612424<br/>
email： work@yanyi.red<br/>
微信公众号：benyanyi(演绎未来)&nbsp;&nbsp;&nbsp;将会不定期的更新关于android的一些文章