package com.benyanyi.okhttp.call;


import com.benyanyi.okhttp.listener.OnOkHttpListener;

import java.util.List;

/**
 * @author YanYi
 * @date 2019-08-02 22:25
 * @email ben@yanyi.red
 * @overview
 */
public interface RequestConfig {

    void async(OnOkHttpListener<Object> onOkHttpListener);

    void sync(OnOkHttpListener<Object> onOkHttpListener);

    <T> void async(Class<T> tClass, OnOkHttpListener<T> onOkHttpListener);

    <T> void sync(Class<T> tClass, OnOkHttpListener<T> onOkHttpListener);

    <T> void asyncList(Class<T> tClass, OnOkHttpListener<List<T>> onOkHttpListener);

    <T> void syncList(Class<T> tClass, OnOkHttpListener<List<T>> onOkHttpListener);

}
