package com.benyanyi.okhttp.util;

import android.content.Context;


/**
 * @author myLove
 */

public class Internet {
    /**
     * 判断网络
     */
    public static InternetBean ifInternet(Context mContext) {
        InternetBean msg = new InternetBean();
        switch (InternetUtil.getConnectedType(mContext)) {
            case -1:
                msg.setStatus(false);
                msg.setMsg("网络异常");
                return msg;
            case 1:
                if (InternetUtil.isNetWorkConnected(mContext)) {
                    msg.setStatus(false);
                    msg.setMsg("WIFI网络异常");
                    return msg;
                } else {
                    msg.setStatus(true);
                    return msg;
                }
            default:
                if (InternetUtil.isNetWorkConnected(mContext)) {
                    msg.setStatus(false);
                    msg.setMsg("网络异常");
                    return msg;
                } else {
                    msg.setStatus(true);
                    return msg;
                }
        }
    }
}
